#4 Require git for building
Merged 3 years ago by mmarusak. Opened 3 years ago by ekulik.
Unknown source f29  into  f29

Require git for building
Ernestas Kulik • 3 years ago  
file modified
+2
@@ -61,6 +61,8 @@

  # https://github.com/abrt/abrt/commit/21bdee7

  Patch0: 0001-dbus-task-Use-modern-GLib-type-macros.patch

  Patch1: 0002-applet-application-Fix-use-after-free.patch

+ # Needed when applying git patches.

+ BuildRequires: git

  BuildRequires: %{dbus_devel}

  BuildRequires: hostname

  BuildRequires: gtk3-devel

Koji builds are failing with “BUILDSTDERR: /var/tmp/rpm-tmp.6ae1sZ: line 42: /usr/bin/git: No such file or directory”, so this makes the most sense.

master builds just fine, so it must be pulling it in implicitly.

Pull-Request has been merged by mmarusak

3 years ago

Yeah, I have noticed it during weekend, but koji was broken so I could not test it. Anyway, it is weird that we don't need it on rawhide, but we do on f29. Anyway, thank you for the fix

Metadata